javax.media.nativewindow

## Enum WindowClosingProtocol.WindowClosingMode

- java.lang.Object
- - java.lang.Enum<WindowClosingProtocol.WindowClosingMode>
  - - javax.media.nativewindow.WindowClosingProtocol.WindowClosingMode

- All Implemented Interfaces:
    Serializable, Comparable<WindowClosingProtocol.WindowClosingMode>
  Enclosing interface:
    WindowClosingProtocol

      public static enum WindowClosingProtocol.WindowClosingMode
      extends Enum<WindowClosingProtocol.WindowClosingMode>

  Window closing mode if triggered by toolkit close operation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISPOSE_ON_CLOSE` Dispose resources on native window close operation. This is the default behavior in case no underlying toolkit defines otherwise.
    `DO_NOTHING_ON_CLOSE` Do nothing on native window close operation. This is the default behavior within an AWT environment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowClosingProtocol.WindowClosingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WindowClosingProtocol.WindowClosingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DO_NOTHING_ON_CLOSE

          public static final WindowClosingProtocol.WindowClosingMode DO_NOTHING_ON_CLOSE

      Do nothing on native window close operation.
      This is the default behavior within an AWT environment.

    - #### DISPOSE_ON_CLOSE

          public static final WindowClosingProtocol.WindowClosingMode DISPOSE_ON_CLOSE

      Dispose resources on native window close operation.
      This is the default behavior in case no underlying toolkit defines otherwise.

  - ### Method Detail

    - #### values

          public static WindowClosingProtocol.WindowClosingMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowClosingProtocol.WindowClosingMode c : WindowClosingProtocol.WindowClosingMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowClosingProtocol.WindowClosingMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright 2010 JogAmp Community.